Subject: Re: [PATCH 02/41] drm: Fix broken use of _PAGE_NO_CACHE on powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 07 Jul 2016 23:04:52 +1000

On Thu, 2016-07-07 at 22:38 +1000, Michael Ellerman wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > That constant no longer exist. Use the proper accessor instead
> 
> I still see it?

Hrm, right, it does, I think it's just not always accessible or the
wrong type. That stuff wasn't building anymore. In any case, it
shouldn't be used outside of the arch, the accessors are better.

>   arch/powerpc/include/asm/book3s/32/hash.h:#define _PAGE_NO_CACHE	0x020	/* I: cache inhibit */
>   arch/powerpc/include/asm/book3s/64/pgtable.h:#define _PAGE_NO_CACHE		_PAGE_TOLERANT
>   arch/powerpc/include/asm/nohash/32/pte-44x.h:#define _PAGE_NO_CACHE	0x00000400		/* H: I bit */
>   arch/powerpc/include/asm/nohash/32/pte-8xx.h:#define _PAGE_NO_CACHE	0x0002	/* I: cache inhibit */
>   arch/powerpc/include/asm/nohash/32/pte-fsl-booke.h:#define _PAGE_NO_CACHE	0x00200	/* H: I bit */
>   arch/powerpc/include/asm/nohash/pte-book3e.h:#define _PAGE_NO_CACHE	0x400000 /* I: cache inhibit */
> 
> Do you mean it doesn't exist in some cases? Or pgprot_noncached_wc() is
> just better?
> 
> Also this should probably at least get Cc'ed to the DRM folks.

Ah yes :-)

Cheers,
Ben.